Skip to main content
PATCH
/
team
/
{team_id}
Update a team
curl --request PATCH \
  --url https://api.basic.tech/team/{team_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "slug": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "slug": "<string>",
    "owner_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

JWT Authorization Token header using the Bearer scheme

Path Parameters

team_id
string
required

The ID of the team to update

Body

application/json
name
string

New name for the team

slug
string

New URL-friendly slug for the team - must be unique

Response

Team updated successfully

Team updated successfully

data
object